vty-5.25.1: A simple terminal UI library

Safe Haskell | Safe
Language | Haskell2010

Graphics.Vty.Input.Classify.Types

Description

This module exports the input classification type to avoid import cycles between other modules that need this.

# Documentation

data KClass Source #

Constructors

Valid Event [Char] | A valid event was parsed. Any unused characters from the input stream are also provided.
Invalid | The input characters did not represent a valid event.
Prefix | The input characters form the prefix of a valid event character sequence.

Instances

Eq KClass Source # |
Instance details Defined in Graphics.Vty.Input.Classify.Types Methods (==) :: KClass -> KClass -> Bool Source # (/=) :: KClass -> KClass -> Bool Source #
Show KClass Source # |
Instance details Defined in Graphics.Vty.Input.Classify.Types Methods showsPrec :: Int -> KClass -> ShowS Source # show :: KClass -> String Source # showList :: [KClass] -> ShowS Source #